typedef struct {
  const char *l,*b,*be,*f,*m1,*me;
} Hit;

typedef struct {
  Hit *h1,*h,*he;
} Query;

int
query_new_dict(const char *,int);

int
query_new_word(const char *);

const Query *
query_word_lines(unsigned,const char *);

char **
query_format_line(const Hit *,unsigned);

void
query_dict_files(char **,char **);

const Query *
query_current(void);

const char **
query_word_derivatives(const char *);

